<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Flowers AI</title>
    <!-- stylesheets -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" 
    integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <!--link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" 
    integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous" -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" 
    integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

    <link href="https://stackpath.bootstrapcdn.com/bootswatch/4.1.3/flatly/bootstrap.min.css" rel="stylesheet" >
	<script src="https://d3js.org/d3.v3.min.js" charset="utf-8"></script>


    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
	<style>
        
        .bar {
            fill: #5f89ad;
        }
        
        .axis {
            font-size: 13px;
        }
        
        .axis path,
        .axis line {
            fill: none;
            display: none;
        }
        
    </style>
	
	<script>
	
	$(function() {
		console.log( "ready!" );
		var data = $('#data_pred').val();
		
		data = JSON.parse(data).data
		
		if(data!=null && data!='undefined'){
			console.log(data);
			
			//sort bars based on value
			data = data.sort(function (a, b) {
				return d3.ascending(a.value, b.value);
			})

			//set up svg using margin conventions - we'll need plenty of room on the left for labels
			var margin = {
				top: 15,
				right: 25,
				bottom: 15,
				left: 60
			};

			var width = 480 - margin.left - margin.right,
				height = 250 - margin.top - margin.bottom;

			var svg = d3.select("#graphic").append("svg")
				.attr("width", width + margin.left + margin.right)
				.attr("height", height + margin.top + margin.bottom)
				.append("g")
				.attr("transform", "translate(" + margin.left + "," + margin.top + ")");

			var x = d3.scale.linear()
				.range([0, width])
				.domain([0, d3.max(data, function (d) {
					return d.value;
				})]);

			var y = d3.scale.ordinal()
				.rangeRoundBands([height, 0], .1)
				.domain(data.map(function (d) {
					return d.name;
				}));

			//make y axis to show bar names
			var yAxis = d3.svg.axis()
				.scale(y)
				//no tick marks
				.tickSize(0)
				.orient("left");

			var gy = svg.append("g")
				.attr("class", "y axis")
				.call(yAxis)

			var bars = svg.selectAll(".bar")
				.data(data)
				.enter()
				.append("g")

			//append rects
			bars.append("rect")
				.attr("class", "bar")
				.attr("y", function (d) {
					return y(d.name);
				})
				.attr("height", y.rangeBand())
				.attr("x", 0)
				.attr("width", function (d) {
					return x(d.value);
				});

			//add a value label to the right of each bar
			bars.append("text")
				.attr("class", "label")
				//y position of the label is halfway down the bar
				.attr("y", function (d) {
					return y(d.name) + y.rangeBand() / 2 + 4;
				})
				//x position is 3 pixels to the right of the bar
				.attr("x", function (d) {
					return x(d.value) + 3;+
				})
				.text(function (d) {
					return d.value;
				});
		}
		
		
		
		
	});
	
	</script>
</head>

<body>
<div class="container-fluid theme-showcase">
  <div class="row">
      <div class="col-md-12">
          <p class="h1 text-success text-center jumbotron">Wass Ist Dis Imaije?</p>
      </div>
  </div>
  
  
  <div class="row">
      <div class="col-md-12">
      <h2>Upload an image</h2>
      <br>
      <form action="/" method="post" enctype="multipart/form-data" class="form-vertical col-md-12">
        <div class="col-md-12"><input type="file" name="file" class="btn btn-primary col-md-2" role="button"></div>
        <div class="col-md-12">&nbsp;</div>
        <div class="col-md-12"><button type="submit" value="Upload" class="btn btn-success col-md-2">Upload</button></div>
        
      </form>

      <h2>Results</h2>
      <br>
      <table class="table table-striped table-hover" id="results-table">
          <tr>
            <th>Image</th>
            <th>Prediction</th>
          </tr>
          <tr>
			
            {% block content %}
            
            {% endblock %}
          </tr>
      </table>
    </div>
  </div>
</div>
</body>
</html>
 